class DentalProceduresModel {
  List<ListIsPatientHasOnGoingEstimation>? listIsPatientHasOnGoingEstimation;

  DentalProceduresModel({this.listIsPatientHasOnGoingEstimation});

  DentalProceduresModel.fromJson(Map<String, dynamic> json) {
    if (json['List_IsPatientHasOnGoingEstimation'] != null) {
      listIsPatientHasOnGoingEstimation =
      [];
      json['List_IsPatientHasOnGoingEstimation'].forEach((v) {
        listIsPatientHasOnGoingEstimation!
            .add(new ListIsPatientHasOnGoingEstimation.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.listIsPatientHasOnGoingEstimation != null) {
      data['List_IsPatientHasOnGoingEstimation'] = this
          .listIsPatientHasOnGoingEstimation!
          .map((v) => v.toJson())
          .toList();
    }
    return data;
  }
}

class ListIsPatientHasOnGoingEstimation {
  dynamic setupID;
  dynamic estimationNo;
  int? projectID;
  String? procedureId;
  int? patientID;
  int? sequenceNo;
  int? neededTime;
  String? procedureName;
  dynamic procedureNameN;

  ListIsPatientHasOnGoingEstimation(
      {this.setupID,
        this.estimationNo,
        this.projectID,
        this.procedureId,
        this.patientID,
        this.sequenceNo,
        this.neededTime,
        this.procedureName,
        this.procedureNameN});

  ListIsPatientHasOnGoingEstimation.fromJson(Map<String, dynamic> json) {
    setupID = json['SetupID'];
    estimationNo = json['EstimationNo'];
    projectID = json['ProjectID'];
    procedureId = json['ProcedureId'];
    patientID = json['PatientID'];
    sequenceNo = json['sequenceNo'];
    neededTime = json['NeededTime'];
    procedureName = json['ProcedureName'];
    procedureNameN = json['ProcedureNameN'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['SetupID'] = this.setupID;
    data['EstimationNo'] = this.estimationNo;
    data['ProjectID'] = this.projectID;
    data['ProcedureId'] = this.procedureId;
    data['PatientID'] = this.patientID;
    data['sequenceNo'] = this.sequenceNo;
    data['NeededTime'] = this.neededTime;
    data['ProcedureName'] = this.procedureName;
    data['ProcedureNameN'] = this.procedureNameN;
    return data;
  }
}
